## visad.data
Class BadRepositoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.data.BadRepositoryException

All Implemented Interfaces:
  Serializable

public class BadRepositoryException
extends VisADException

Exception thrown when there's something wrong with the repository.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`BadRepositoryException(String msg)` Construct an exception with a message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadRepositoryException

    public BadRepositoryException(String msg)

  Construct an exception with a message.